proc.time {base} | R Documentation

## Running Time of R

### Description

`proc.time` determines how much time (in seconds) the currently running R process already consumed.

### Usage

    proc.time()

### Value

A numeric vector of length 5, containing the user, system, and total elapsed times for the currently running R process, and the cumulative sum of user and system times of any child processes spawned by it.

The resolution of the times will be system-specific; it is common for them to be recorded to of the order of 1/100 second, and elapsed time is rounded to the nearest 1/100.

It is most useful for ``timing'' the evaluation of R expressions, which can be done conveniently with `system.time`.

### Note

It is possible to compile R without support for `proc.time`, when the function will not exist.

### See Also

`system.time` for timing a valid R expression.

### Examples

    ptm <- proc.time()
    for (i in 1:50) mad(runif(500))
    proc.time() - ptm

[Package Contents]